Loading...
Searching...
No Matches
HexagonOptimize.h File Reference

Tools for optimizing IR for Hexagon. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::optimize_hexagon_shuffles (const Stmt &s, int lut_alignment)
| Replace indirect and other loads with simple loads + vlut calls.
Stmt | Halide::Internal::scatter_gather_generator (Stmt s)
Stmt | Halide::Internal::optimize_hexagon_instructions (Stmt s, const Target &t)
| Hexagon deinterleaves when performing widening operations, and interleaves when performing narrowing operations.
Expr | Halide::Internal::native_deinterleave (const Expr &x)
| Generate deinterleave or interleave operations, operating on groups of vectors at a time.
Expr | Halide::Internal::native_interleave (const Expr &x)
bool | Halide::Internal::is_native_deinterleave (const Expr &x)
bool | Halide::Internal::is_native_interleave (const Expr &x)
std::string | Halide::Internal::type_suffix (Type type, bool signed_variants=true)
std::string | Halide::Internal::type_suffix (const Expr &a, bool signed_variants=true)
std::string | Halide::Internal::type_suffix (const Expr &a, const Expr &b, bool signed_variants=true)
std::string | Halide::Internal::type_suffix (const std::vector< Expr > &ops, bool signed_variants=true)

## Detailed Description

Tools for optimizing IR for Hexagon.

Definition in file HexagonOptimize.h.